Fetch results
curl --request GET \
--url https://app.lev8.com/v1/entity-search/fetch \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lev8.com/v1/entity-search/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.lev8.com/v1/entity-search/fetch"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "entity_search_items",
"leads_search_id": "leads_search_01JABCDEF123456789",
"status": "running",
"pts": 0,
"num": 5,
"count": 5,
"ready_count": 10,
"limit": 20,
"entities": [
{
"name": "Figure AI",
"links": {
"website": "https://www.figure.ai",
"linkedin_url": "https://www.linkedin.com/company/figure-ai"
},
"description": "AI robotics company building general purpose humanoid robots.",
"score": {
"score": "high",
"reason": "..."
},
"enrich_fields": {
"funding stage": {
"content": "Series B",
"reference": "..."
}
}
}
]
}Entity Search
Fetch results
Read Entity Search results by position.
GET
/
v1
/
entity-search
/
fetch
Fetch results
curl --request GET \
--url https://app.lev8.com/v1/entity-search/fetch \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lev8.com/v1/entity-search/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.lev8.com/v1/entity-search/fetch"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "entity_search_items",
"leads_search_id": "leads_search_01JABCDEF123456789",
"status": "running",
"pts": 0,
"num": 5,
"count": 5,
"ready_count": 10,
"limit": 20,
"entities": [
{
"name": "Figure AI",
"links": {
"website": "https://www.figure.ai",
"linkedin_url": "https://www.linkedin.com/company/figure-ai"
},
"description": "AI robotics company building general purpose humanoid robots.",
"score": {
"score": "high",
"reason": "..."
},
"enrich_fields": {
"funding stage": {
"content": "Series B",
"reference": "..."
}
}
}
]
}Fetches results that are already available for a task. Fetch can be called while the task is running and after either terminal state.
The API does not return a cursor. Calculate the next position as
pts defaults to 0. num defaults to 5 and must be between 1 and 500.
Example
curl --get "https://app.lev8.com/v1/entity-search/fetch" \
--header "Authorization: Bearer $LEV8_API_KEY" \
--data-urlencode "leads_search_id=leads_search_01JABCDEF123456789" \
--data-urlencode "pts=0" \
--data-urlencode "num=5"
Response
{
"object": "entity_search_items",
"status": "running",
"leads_search_id": "leads_search_01JABCDEF123456789",
"pts": 0,
"num": 5,
"count": 2,
"ready_count": 2,
"limit": 20,
"entities": [
{
"name": "Figure AI",
"links": {
"website": "https://www.figure.ai"
},
"description": "AI robotics company building general purpose humanoid robots.",
"score": {
"score": "high",
"reason": "Matches the objective."
}
}
]
}
pts + count. The task is fully consumed only when status is done or error and your next position is at least ready_count.
Fetch is available only to the API key that created the task. Missing and cross-key tasks both return 404 not_found.
See Task results for the complete polling and fetch loop.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Minimum string length:
1Required range:
x >= 0Required range:
1 <= x <= 500Response
Current result items.